# Enum Cumulation

java.lang.Object
java.lang.Enum<Cumulation>
uk.ac.starlink.ttools.plot2.layer.Cumulation

All Implemented Interfaces:
  `Serializable, Comparable<Cumulation>, java.lang.constant.Constable`

public enum Cumulation extends Enum<Cumulation>
Cumulative mode for histogram-like plots.

Since:
  10 Mar 2021
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FORWARD`
Cumulative in increasing coordinate direction.
`NONE`
Not cumulative.
`REVERSE`
Cumulative in decreasing coordinate direction.

## Method Summary

Modifier and Type
Method
Description
`String`
`getTextDescription()`
Returns a plain-text description of the meaning of this mode.
`boolean`
`isCumulative()`
Indicates whether this mode is cumulative.
`boolean`
`isReverse()`
Indicates whether any cumulativeness is in the positive coordinate direction.
`static Cumulation`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Cumulation[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Cumulation NONE
Not cumulative.

### FORWARD

public static final Cumulation FORWARD
Cumulative in increasing coordinate direction.

### REVERSE

public static final Cumulation REVERSE
Cumulative in decreasing coordinate direction.

## Method Details

### values

public static Cumulation[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Cumulation valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### isCumulative

public boolean isCumulative()
Indicates whether this mode is cumulative.

Returns:
  true for cumulative, false for normal

### isReverse

public boolean isReverse()
Indicates whether any cumulativeness is in the positive coordinate direction.

Returns:
  false for positive direction, true for negative direction

### getTextDescription

public String getTextDescription()
Returns a plain-text description of the meaning of this mode.

Returns:
  plain-text description